Disable a named stream Technical preview; Added in 9.1.0

POST /_streams/{name}/_disable

Turn off the named stream feature for this cluster.

Required authorization

  • Cluster privileges: manage

Path parameters

  • name string

    The stream type to disable.

    Supported values include:

    • logs: The logs stream type.
    • logs.otel: The logs.otel stream type, meant for OTel-formatted data.
    • logs.ecs: The logs.ecs stream type, meant for ECS-formatted data.

    Values are logs, logs.otel, or logs.ecs.

Query parameters

  • master_timeout string

    The period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

    External documentation
  • timeout string

    The period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

    External documentation

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • acknowledged boolean Required

      For a successful response, this value is always true. On failure, an exception is returned instead.

POST /_streams/{name}/_disable
POST _streams/logs.otel/_disable
resp = client.streams.logs_disable(
    name="logs.otel",
)
const response = await client.streams.logsDisable({
  name: "logs.otel",
});
response = client.streams.logs_disable(
  name: "logs.otel"
)
$resp = $client->streams()->logsDisable([
    "name" => "logs.otel",
]);
curl -X POST -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_streams/logs.otel/_disable"
client.streams().logsDisable(l -> l);
Response examples (200)
A successful response from `POST _streams/logs.otel/_disable` endpoint
{
  "acknowledged": true
}